# TSGetMatrices

Returns the matrices Arhs and Alhs at the present timestep, where Alhs(t) U_t = Arhs(t) U.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSGetMatrices(TS ts,Mat *Arhs,Mat *Alhs,void **ctx)

Not Collective, but parallel objects are returned if TS is parallel

### Input Parameter

ts -The TS context obtained from TSCreate()

### Output Parameters

| Arhs | - The right-hand side matrix
| Alhs | - The left-hand side matrix
| ctx | - User-defined context for matrix evaluation routine

Notes: You can pass in PETSC_NULL for any return argument you do not need.

### See Also

TSSetMatrices(), TSGetTimeStep(), TSGetTime(), TSGetTimeStepNumber(), TSGetRHSJacobian()

### Keywords

TS, timestep, get, matrix

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages